#
# spec file for package libgda (Version 1.3.91)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db db-devel db42 dbus-1 dbus-1-devel dbus-1-glib diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtkdoc gzip hal hal-devel info insserv intltool iso_ent klogd krb5 less libacl libattr libbonobo libbonobo-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-lib make man mktemp module-init-tools mysql mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg openjade openldap2 openldap2-client openldap2-devel openmotif-libs openslp opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango patch perl perl-DBD-mysql perl-DBI perl-Data-ShowTable perl-Net-Daemon perl-PlRPC perl-XML-Parser permissions pkgconfig popt popt-devel postgresql-devel postgresql-libs procinfo procps psmisc pwdutils rcs readline readline-devel rpm scrollkeeper sed sgml-skel sqlite sqlite-devel strace sysvinit tar tcpd texinfo timezone unixODBC unixODBC-devel unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           libgda
BuildRequires:  db-devel gcc-c++ glib2-devel gnome-common gnome-vfs2-devel gtkdoc intltool libxslt-devel mysql mysql-devel openldap2 openldap2-devel perl-XML-Parser popt-devel postgresql-devel readline-devel scrollkeeper sgml-skel sqlite-devel unixODBC-devel
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          Productivity/Databases/Servers
Autoreqprov:    on
Version:        1.3.91
Release:        32.2
Summary:        GNU Data Access (GDA) Library
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.gnome-db.org/
Source:         http://ftp.gnome.org/pub/GNOME/sources/libgda/1.3/%{name}-%{version}.tar.bz2
Patch:          libgda-1.0.3-ncurses.patch
Patch1:         libgda-1.0.3-lib64.patch
Patch2:         libgda-vfsmonitor.patch
Patch3:         libgda-syslog-vul.patch
Patch4:         libgda-include.patch
Patch5:         libgda-boxed.patch

%description
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Productivity/Databases/Servers
Requires:       %{name} = %{version} glib2-devel libxml2-devel libxslt-devel glibc-devel gnome-vfs2-devel
Autoreqprov:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package mysql
Summary:        mySQL provider for GNU Data Access (GDA)
Group:          Productivity/Databases/Servers
Requires:       libgda = %{version}
%if %suse_version > 1000
Enhances:     libgda
%endif
Autoreqprov:    on

%description mysql
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package odbc
Summary:        ODBC provider for GNU Data Access (GDA)
Group:          Productivity/Databases/Servers
Requires:       libgda = %{version}
%if %suse_version > 1000
Enhances:     libgda
%endif
Autoreqprov:    on

%description odbc
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package postgres
Summary:        PostgreSQL provider for GNU Data Access (GDA)
Group:          Productivity/Databases/Servers
Requires:       libgda = %{version}
%if %suse_version > 1000
Enhances:     libgda
%endif
Autoreqprov:    on

%description postgres
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%package sqlite
Summary:        Sqlite provider for GNU Data Access (GDA)
Group:          Productivity/Databases/Servers
Requires:       libgda = %{version}
%if %suse_version > 1000
Enhances:     libgda
%endif
Autoreqprov:    on

%description sqlite
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail
spools, and more). It is a complete architecture that provides all you
need to access your data. It is defined by a set of CORBA interfaces
that are as generic as possible (but very powerful at the same time) so
that any kind of data source can be accessed through them.



Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql)
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql)
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries)
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle)
    Nick Gorham <nick@lurcher.org> (gda-odbc)
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings)
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb)
    Akira TAGOH <at@ue-spacy.com> (gda-ldap)
    Carlos Perell Marn <carlos@gnome-db.org> (report)
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common)
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds)
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries)

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5

%build
rm -fv po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
ACLOCAL="aclocal -I /opt/gnome/share/aclocal" \
autoreconf --force --install
# FIXME: Build with  db db-devel and mdbtools mdbtools-devel, if it will succeed.
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DLDAP_DEPRECATED" \
CPPFLAGS="-I/usr/include/pgsql -DLDAP_DEPRECATED" \
./configure --sysconfdir=%sysconfdir \
    --prefix=%{prefix} \
    --mandir=%{prefix}/share/man \
    --libdir=%{prefix}/%_lib
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang libgda-3
rm $RPM_BUILD_ROOT%{prefix}/%_lib/libgda-1.3/providers/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %files -f libgda-3.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%dir %{sysconfdir}/libgda
%config %{sysconfdir}/libgda/config
%{sysconfdir}//libgda/sales_test.db
%{prefix}/bin/*
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%_lib/libgda-1.3
%dir %{prefix}/%_lib/libgda-1.3/providers
%{prefix}/%_lib/libgda-1.3/providers/libgda-ldap.so
%{prefix}/%_lib/libgda-1.3/providers/libgda-xml.so
%{prefix}/%_lib/libgda-1.3/providers/libgda-bdb.so
%{prefix}/share/libgda
%doc %{prefix}/share/man/man?/*.*
%{prefix}/share/omf/*

%files mysql
%defattr(-, root, root)
%{prefix}/%_lib/libgda-1.3/providers/libgda-mysql.so

%files odbc
%defattr(-, root, root)
%{prefix}/%_lib/libgda-1.3/providers/libgda-odbc.so

%files postgres
%defattr(-, root, root)
%{prefix}/%_lib/libgda-1.3/providers/libgda-postgres.so
%if %suse_version > 900

%files sqlite
%defattr(-, root, root)
%{prefix}/%_lib/libgda-1.3/providers/libgda-sqlite.so
%endif

%files devel
%defattr(-, root, root)
%{prefix}/include/*
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/pkgconfig/*.pc
#%{prefix}/%_lib/libgda-1.3/providers/*.*a
%{prefix}/share/gtk-doc/html/libgda

%changelog -n libgda
* Mon Apr 03 2006 - lmichnovic@suse.cz
- fixed wrong variable set [#159399]
* Fri Feb 17 2006 - danw@suse.de
- remove libgda-fam-gamin-dload.patch and add a new patch to do
  file notification via gnome-vfs (and update requires accordingly).
  Part of plan to get rid of gamin, #128037.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - sbrabec@suse.cz
- Use Enhances where appropriate.
* Tue Nov 08 2005 - sbrabec@suse.cz
- Use sqlite3.
- Fix and build Berkeley DB module.
* Wed Oct 26 2005 - rodrigo@suse.de
- Added fix for syslog vulnerability (#130698)
* Tue Oct 25 2005 - rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with
  OpenLDAP 2.3
* Mon Oct 03 2005 - sbrabec@suse.cz
- Fixed name clash crash in fam/gamin patch (#116897).
- Fixed neededforbuild.
* Mon Sep 05 2005 - sbrabec@suse.cz
- Patch to pick one of fam/gamin libraries by dlopen().
* Wed Aug 10 2005 - rodrigo@suse.de
- Update to version 1.3.90, which fixes autobuild problems.
* Mon Aug 08 2005 - rodrigo@suse.de
- Update to version 1.3.90
* Fri Jul 08 2005 - gekker@suse.de
- Update to version 1.3.4
- Remove upstreamed patch
* Wed Jun 29 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Tue Jun 28 2005 - ro@suse.de
- fix some more compiler warnings
* Tue Jun 28 2005 - sbrabec@suse.cz
- Fixed devel requirements.
- Removed unneeded static modules and .la files for modules.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed Jan 19 2005 - ro@suse.de
- use prefix/lib/libgda in filelist
* Fri Jan 14 2005 - ro@suse.de
- update to 1.2.0
- use sqlite2 for now
* Tue Nov 23 2004 - ro@suse.de
- don't create empty rpm for sqlite
* Fri Nov 19 2004 - ro@suse.de
- sqlite is only available for 9.1 and newer
* Thu Nov 18 2004 - ro@suse.de
- updated aclocal path
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Tue May 18 2004 - ro@suse.de
- fix some compiler warnings
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Gzip man pages.
* Mon Mar 01 2004 - ro@suse.de
- fix build on ppc64 and s390x
* Wed Feb 18 2004 - sbrabec@suse.cz
- Split some providers to reduce dependences (bug #34668).
* Tue Feb 17 2004 - sbrabec@suse.cz
- Updated to version 1.0.3.
- Turned on sqlite backend.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jan 08 2004 - ro@suse.de
- updated neededforbuild:
  perl-XML-Parser needed for intltool
  expat needed for perl-XML-Parser
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 1.0.1.
* Fri Aug 29 2003 - kukuk@suse.de
- libgda: Don't conflict with ourself
- libgda-devel: Requires libgda
* Tue Aug 26 2003 - sbrabec@suse.cz
- Updated to version 0.91.0.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Package renamed (libgda2 -> libgda).
- Updated to version 0.12.1.
* Thu Jul 17 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jul 01 2003 - ro@suse.de
- added gnome-filesystem to neededforbuild
- added directories to filelist
* Thu Jun 05 2003 - ro@suse.de
- run full autoreconf
- fix configure.in for lib64 platforms
* Wed Jun 04 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
